import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.rms.*;

public class HelloMidlet extends MIDlet implements CommandListener
{
    // Initialize the Midlet Display variable
    private Display midletDisplay;

    // Initialize a variable for the doneCommand
    private Command doneCommand;

    Form f;
    TextField hello;

    public HelloMidlet()
    {
      // Retrieve the display from the static display object
      midletDisplay = Display.getDisplay(this);

        // Initialize the doneCommand
      doneCommand = new Command("DONE", Command.SCREEN, 1);
      
    }

    public void startApp()
    {
    		f = new Form("Hello");
    		hello = new TextField("Hello:",null, 20, TextField.ANY);
    		loadText();
		f.append(hello);
		f.setCommandListener(this);
		f.addCommand(doneCommand);

        midletDisplay.setCurrent(f);
    }

    public void pauseApp(){ }

    public void destroyApp(boolean unconditional){ }

    public void commandAction(Command command, Displayable screen)
    {
      // If the command is the doneCommand
      if (command == doneCommand)
      {
	    saveText();
            // Call the destroyApp method
            destroyApp(false);
            // Notify the midlet platform that the midlet has completed
            notifyDestroyed();
      }
    }
    
    public void loadText()
    {
      	    try 
      	    {
	            // save the textfield
	            RecordStore rs = RecordStore.openRecordStore("Hello" ,true);	            	            
	            if (rs.getNumRecords() > 0) hello.setString(new String(rs.getRecord(1))); 	         
	            rs.closeRecordStore();
	            
	    }
	    catch(RecordStoreException rse) { System.out.println(rse); }
    }    	
    
    public void saveText()
    {
      	    try 
      	    {
	            // save the textfield
	            RecordStore rs = RecordStore.openRecordStore("Hello" ,true);	            
	            byte[] bytes = hello.getString().getBytes();	            
	            if (rs.getNumRecords() < 1) rs.addRecord(bytes,0,bytes.length);
	            else rs.setRecord(1,bytes,0,bytes.length);	            
	            rs.closeRecordStore();	            
	    }
	    catch(RecordStoreException rse) { System.out.println(rse); }
    }    	
}

